
Figure - 开发 Dev #112319
单击唤醒功能开关
2022-09-30 16:51 - CD FW-王伟

Status: 完成 Closed Start date: 2022-09-30

Priority: High Due date: 2022-10-13

Assignee: CD FW-王伟 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_B sample_20221016

Description

整车有一个需求，在洗车的时候，单击屏幕不能点亮屏幕。

需要BSP帮忙实现一个开关功能，上层收到洗车情况后主动写一个flag给BSP，

如果此flag为1，则在单击屏幕的时候，不要将power键传递给上层。

Related issues:

Related to Figure - 开发 Dev # 112267: 【MK】【FW】【VehicleData... 完成 Closed 2022-09-29

History

#1 - 2022-09-30 18:06 - CD FW-王伟

将按照如下接口文件进行开发功能：

/sys/bus/i2c/devices/0-0024/gesture_disable

0禁用  

1启用

#2 - 2022-10-09 18:06 - CD BSP-余霄

底层已实现该接口，如飞书沟通

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/153479

路径

/sys/bus/i2c/devices/0-0024/gesture_enable

0禁用

1启用

自验证OK

#3 - 2022-10-09 18:06 - CD BSP-余霄

- Assignee changed from CD BSP-余霄 to CD FW-王伟

#4 - 2022-10-12 19:52 - CD FW-王伟

- Status changed from New to 完成 Closed

- % Done changed from 0 to 100

功能已经实现，代码也已经入库了，可以关闭。
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/153479


#5 - 2022-12-20 15:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

158382 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Support vc1 gesture control (2/2)Support vc1 gesture control by nodeTC-RID: 1201-0100401IssueID: TS-R-DF-112319Change-Id:

Ic3176c4dac12814e2a5bc5f2bd7c3f237f024941

#6 - 2022-12-20 19:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171285 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm-dvt1

xiao.yu@thundersoft.com

BSP:TP: Support vc1 gesture control (2/2)Support vc1 gesture control by nodeTC-RID: 1201-0100401IssueID: TS-R-DF-112319Change-Id:

Ic3176c4dac12814e2a5bc5f2bd7c3f237f024941

#7 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153479 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Support gesture control (1/2)Support gesture control by nodeTC-RID: 1201-0100401IssueID: TS-R-DF-112319Change-Id:

I7f908e837af9ab835d8ef9fc9e51276a447866f4

#8 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154382 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Support gesture control (2/2)Support gesture control by nodeTC-RID: 1201-0100401IssueID: TS-R-DF-112319Change-Id:

Ifc6bf869128da6ad58bb7ac24d155a7b508f46a0
